/// <reference types="react" />
import { BaseTextEntryControl } from "./BaseTextEntryControl";
import { IDataDefinition } from "../../Common/Data/Definitions/IDataDefinition";
import { ValidationIssue } from "../../Common/IDesignValidationProvider";
export declare class XCurrencyField extends BaseTextEntryControl {
    min?: number;
    max?: number;
    currencyType: string;
    render(): JSX.Element | undefined;
    getRuntimeValidationIssues(): ValidationIssue[];
    private handleChange;
    private getValue;
    private validate;
    renderEditUI(): JSX.Element | null;
    getAddedData(): IDataDefinition | IDataDefinition[] | undefined;
}
